package com.yuchen.saas.park.api.entity.pldoor;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.nest.springwrap.core.tenant.mp.TenantEntity;

import java.util.Date;

/**
 * <p>
 * 巡逻任务
 * </p>
 *
 * @author miaoqs
 * @since 2024-08-16
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("pl_sp_patrol_task")
@ApiModel(value="PlSpPatrolTask对象", description="巡逻任务")
public class PlSpPatrolTask extends TenantEntity {

    /**
     * 任务名称
     */
    @ApiModelProperty(name = "taskName", value = "任务名称")
    private String taskName;
    /**
     * 日期
     */
    @ApiModelProperty(name = "dateTime", value = "日期")
    private Date dateTime;
    /**
     * 时间段
     */
    @ApiModelProperty(name = "timeParagraph", value = "时间段")
    private String timeParagraph;
    /**
     * 机器人名称
     */
    @ApiModelProperty(name = "robotName", value = "机器人名称")
    private String robotName;
    /**
     * 机器人编号
     */
    @ApiModelProperty(name = "robotNo", value = "机器人编号")
    private String robotNo;
    /**
     * 巡逻路线
     */
    @ApiModelProperty(name = "patrolRoute", value = "巡逻路线")
    private String patrolRoute;
    /**
     * 任务状态 0:待开始;1:执行中;2:已完成;3:已关闭;
     */
    @ApiModelProperty(name = "taskState", value = "任务状态 0:待开始;1:执行中;2:已完成;3:已关闭;")
    private String taskState;

    public String getTaskName() {
        return taskName;
    }

    public void setTaskName(String taskName) {
        this.taskName = taskName;
    }

    public Date getDateTime() {
        return dateTime;
    }

    public void setDateTime(Date dateTime) {
        this.dateTime = dateTime;
    }

    public String getTimeParagraph() {
        return timeParagraph;
    }

    public void setTimeParagraph(String timeParagraph) {
        this.timeParagraph = timeParagraph;
    }

    public String getRobotName() {
        return robotName;
    }

    public void setRobotName(String robotName) {
        this.robotName = robotName;
    }

    public String getRobotNo() {
        return robotNo;
    }

    public void setRobotNo(String robotNo) {
        this.robotNo = robotNo;
    }

    public String getPatrolRoute() {
        return patrolRoute;
    }

    public void setPatrolRoute(String patrolRoute) {
        this.patrolRoute = patrolRoute;
    }

    public String getTaskState() {
        return taskState;
    }

    public void setTaskState(String taskState) {
        this.taskState = taskState;
    }
}
